Bug 605863 - SELinux is preventing /bin/bash access to a leaked unix_stream_socket file descriptor.
SELinux is preventing /bin/bash access to a leaked unix_stream_socket file de...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:79a2655a4f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 20:30 EDT by younix
Modified: 2010-06-21 03:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 03:57:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description younix 2010-06-18 20:30:37 EDT
Summary:

SELinux is preventing /bin/bash access to a leaked unix_stream_socket file
descriptor.

Detailed Description:

[kismet has a permissive type (kismet_t). This access was not denied.]

SELinux denied access requested by the kismet command. It looks like this is
either a leaked descriptor or kismet output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the unix_stream_socket. You should generate a bugzilla on selinux-policy, and it
will get routed to the appropriate package. You can safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                unconfined_u:unconfined_r:kismet_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                unix_stream_socket [ unix_stream_socket ]
Source                        kismet
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.0.33-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.i686 #1 SMP Sat Nov 7 21:41:45
                              EST 2009 i686 i686
Alert Count                   2
First Seen                    Fri 18 Jun 2010 10:44:06 PM CEST
Last Seen                     Fri 18 Jun 2010 10:44:06 PM CEST
Local ID                      e96ef257-35a3-4b99-ad4c-f2a7fb14b395
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1276893846.821:19365): avc:  denied  { read write } for  pid=1990 comm="kismet" path="socket:[23181]" dev=sockfs ino=23181 scontext=unconfined_u:unconfined_r:kismet_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket

node=(removed) type=AVC msg=audit(1276893846.821:19365): avc:  denied  { read write } for  pid=1990 comm="kismet" path="socket:[23412]" dev=sockfs ino=23412 scontext=unconfined_u:unconfined_r:kismet_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket

node=(removed) type=SYSCALL msg=audit(1276893846.821:19365): arch=40000003 syscall=11 success=yes exit=0 a0=9652f40 a1=9652e98 a2=96531c0 a3=9652e98 items=0 ppid=1989 pid=1990 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="kismet" exe="/bin/bash" subj=unconfined_u:unconfined_r:kismet_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,leaks,kismet,kismet_t,unconfined_t,unix_stream_socket,read,write
audit2allow suggests:

#============= kismet_t ==============
allow kismet_t unconfined_t:unix_stream_socket { read write };
Comment 1 Miroslav Grepl 2010-06-21 03:57:19 EDT
Could you fully update your machine.

yum update

The current policy in F12 is selinux-policy-3.6.32-118.fc12. There were some fixes for kismet. Please reopen this bug if this happens again after update.

Note You need to log in before you can comment on or make changes to this bug.